summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristoph Haag2019-06-24 12:18:24 +0200
committerChristoph Haag2019-06-24 12:18:24 +0200
commit3068916a9a1e1e5b39f3ad80959073a55073bee0 (patch)
treefba16be65d8a919dbbb5bbb3d9419e0aeb220d2f
parentc9e31c5b49a9a852d1f5696e23f3031805a4a6ae (diff)
downloadaur-3068916a9a1e1e5b39f3ad80959073a55073bee0.tar.gz
update and fix PKGBUILD
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD22
2 files changed, 16 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d210965907a..3b0c7c4a755 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,6 @@
-# Generated by mksrcinfo v8
-# Mon Mar 25 10:19:15 UTC 2019
pkgbase = amdvlk-git
pkgdesc = AMD's standalone Vulkan driver
- pkgver = r43.6d9d93a
+ pkgver = r76.96d8406
pkgrel = 1
url = https://github.com/GPUOpen-Drivers
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index e180ab4faab..b1777fd8821 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
# Maintainer: AdriƠ Cereto i MassaguƩ <ssorgatem at gmail.com>
pkgname=amdvlk-git
-pkgver=r43.6d9d93a
+pkgver=r76.96d8406
pkgrel=1
pkgdesc="AMD's standalone Vulkan driver"
arch=(x86_64)
@@ -27,17 +27,23 @@ sha256sums=('SKIP'
'SKIP'
'SKIP')
+prepare() {
+ # Don't turn Werror on for people will build with more recent compilers than you have. Just don't.
+ for i in xgl/icd/CMakeLists.txt llpc/CMakeLists.txt llpc/imported/metrohash/CMakeLists.txt llvm/utils/benchmark/CMakeLists.txt llvm/utils/benchmark/test/CMakeLists.txt pal/src/core/imported/addrlib/CMakeLists.txt pal/src/core/imported/vam/CMakeLists.txt pal/shared/gpuopen/cmake/AMD.cmake
+ do
+ sed -i "s/-Werror//g" "$srcdir"/$i
+ done
+
+ # On my system this adds -isystem=/include, which breaks gcc's ability to find stdlib.h
+ sed -i "s/if(LLVM_WITH_Z3)/if(FALSE)/g" "$srcdir"/llvm/lib/Support/CMakeLists.txt
+}
+
pkgver() {
XGL_VER=$(cd xgl; printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)")
#PAL_VER=$(cd pal; printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)")
echo "$XGL_VER"
}
-prepare() {
- # fix building with commit f609020
- sed -i "s/<drm/<libdrm/g" pal/src/core/os/lnx/display/displayWindowSystem.h
-}
-
build() {
# /usr/lib/amdvlk64.so: undefined symbol: _ZN3Pal5Linux19DisplayWindowSystem30DeterminePresentationSupportedEPNS0_6DeviceEPvl
export CFLAGS=${CFLAGS/-fno-plt}
@@ -49,7 +55,9 @@ build() {
cmake -H. -Bbuilds/Release64 \
-DCMAKE_BUILD_TYPE=Release \
-DBUILD_WAYLAND_SUPPORT=On \
- -DBUILD_WSA=On
+ -DBUILD_WSA=On \
+ -DBUILD_XLIB_XRANDR_SUPPORT=On \
+ || true
cd builds/Release64
make